/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.autolayout;

/**
 * 
 * 用于描述节点与节点之间的连线
 * 
 * @author luoguo
 */
public class Link {
	Node start;
	Node end;

	public Link(Node start, Node end) throws Exception {
		if (start.getType() == Node.TYPE_END) {
			throw new Exception("Start Node cound not be TYPE_END");
		}
		if (end.getType() == Node.TYPE_START) {
			throw new Exception("END Node cound not be TYPE_START");
		}
		this.start = start;
		this.end = end;
		start.linkList.add(this);
		end.linkList.add(this);
	}

	/**
	 * 返回另外一个节点<br>
	 * 如果是开始，则返回结束；如果是结束则返回开始
	 * 
	 * @param node
	 * @return
	 */
	public Node getAnotherNode(Node node) {
		if (node == start) {
			return end;
		} else {
			return start;
		}
	}
}
